<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
<link href="//maxcdn.bootstrapcdn.com/bootstrap/4.1.1/css/bootstrap.min.css" rel="stylesheet" id="bootstrap-css">
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">

<script src="//maxcdn.bootstrapcdn.com/bootstrap/4.1.1/js/bootstrap.min.js"></script>
<script src="//cdnjs.cloudflare.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>

<meta charset="UTF-8">
<title>Feed</title>
<link href="https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css" rel="stylesheet"
      integrity="sha384-wvfXpqpZZVQGK6TAh5PVlGOfQNHSoD2xbE+QkPxCAFlNEevoEH3Sl0sibVcOQVnN"
      crossorigin="anonymous">
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
<style>
    .comments {
        display: none;
    }
</style>
<script src="https://code.jquery.com/jquery-3.4.1.min.js"
        integrity="sha256-CSXorXvZcTkaix6Yvo6HppcZGetbYMGWSFlBw8HfCJo="
        crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js"
        integrity="sha384-ZMP7rVo3mIykV+2+9J3UJ46jBk0WLaUAdn689aCwoqbBJiSnjAK/l8WvCWPIPm49"
        crossorigin="anonymous"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js"
        integrity="sha384-ChfqqxuZUCnJSK3+MXmPNIyE6ZbWh2IMqE241rYiqJxyMiZ6OW/JmZQ5stwEULTy"
        crossorigin="anonymous"></script>
<link rel="stylesheet" th:href="@{/css/userfeed.css}" href="../static/css/userfeed.css">

</head>
<body>

<h1>Admin Panel for userfeed</h1>

<nav class="navbar navbar-light bg-white">
    <a href="#" class="navbar-brand"></a>
    <form class="form-inline">
        <div class="input-group">
            <a href="/admin"><span class="fa fa-users"></span>Admin panel</a>
            <a href="/profile"><span class="fa fa-users"></span>Profile</a>
            <a href="/userlist"><span class="fa fa-users"></span>Userlist</a>

        </div>
        </div>
    </form>
</nav>


<div class="container-fluid gedf-wrapper">
    <div class="row">
        <div class="col-md-3">
            <div class="card profile">
                <div class="card-body">

                    <img width="200" th:if="${user.picture != null}" th:src="@{'/profile/' +${user.getId()} + '/userimage'}"
                         class="img-responsive"/>
                    <img width="200" th:unless="${user.picture != null}"
                         src="/img/default.png">
                    <br/>
                    <br/>
                    <div class="h5"><p sec:authorize="isAuthenticated()"><strong><span
                            th:text="${user.firstName}"></span>
                        <span th:text="${user.lastName}"/></strong><br/></p>
                    </div>
                    <div class="h7 text-muted">Username : <span th:text="${user.getUserName()} "></span> </div>

                </div>
                <ul class="list-group list-group-flush">
                    <li class="list-group-item">
                        <div class="h6 text-muted">Friends</div>
                        <div class="h5" th:text="${friendlist.size()}">5.2342</div>
                    </li>
                </ul>
            </div>
            <div class="card gedf-card msg" >
                <div class="card-body">
                    <h4 class="card-title">Message of the day:</h4>

                    <h5 class="card-subtitle mb-2 text-muted" th:text="${'Wash your hands!'}"></h5>


                </div>
            </div>
        </div>
        <div class="col-md-6 gedf-main">

            <!--- \\\\\\\Post-->
            <div id="post" class="card gedf-card">
                <div class="card-header">
                    <ul class="nav nav-tabs card-header-tabs" id="myTab" role="tablist">
                        <li class="nav-item">
                            <a class="nav-link active" id="posts-tab" data-toggle="tab" href="#posts" role="tab"
                               aria-controls="posts" aria-selected="true">Make
                                a publication</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" id="images-tab" data-toggle="tab" role="tab" aria-controls="images"
                               aria-selected="false" href="#images">Images</a>
                        </li>
                    </ul>
                </div>

                <div class="card-body">
                    <form action="#" th:action="@{/admin/userfeed/post/new}" th:object="${postDTO}" method="post"
                          enctype="multipart/form-data">
                        <div class="tab-content" id="myTabContent">
                            <div class="tab-pane fade show active" id="posts" role="tabpanel"
                                 aria-labelledby="posts-tab">
                                <div class="form-group">
                                    <label class="sr-only" for="message">post</label>
                                    <textarea class="form-control" id="message" rows="3"
                                              placeholder="What are you thinking?" th:field="*{postText}"></textarea>

                                </div>

                            </div>
                            <div class="tab-pane fade" id="images" role="tabpanel" aria-labelledby="images-tab">
                                <div class="form-group">
                                    <div class="custom-file">
                                        <input type="file" accept="image/*" name="file" class="custom-file-input"
                                               id="customFile">
                                        <label class="custom-file-label" for="customFile">Upload image</label>
                                    </div>
                                </div>

                                <div class="py-4">
                                    <img th:if="${postDTO.image != null}"
                                         th:src="@{'/post/' +${postDTO.getPostId()} + '/image'}"
                                         class="img-responsive"/>
                                </div>

                            </div>
                        </div>
                        <div class="btn-toolbar justify-content-between">
                            <div class="btn-group">
                                <button type="submit" class="btn btn-primary">post</button>
                            </div>
                            <div class="btn-group">
                                <button id="btnGroupDrop1" type="button" class="btn btn-link dropdown-toggle"
                                        data-toggle="dropdown" aria-haspopup="true"
                                        aria-expanded="false">
                                    <i class="fa fa-globe"></i>
                                </button>
                                <div class="dropdown-menu dropdown-menu-right" aria-labelledby="btnGroupDrop1">
                                    <a class="dropdown-item" href="#"><i class="fa fa-globe"></i> Public</a>
                                    <a class="dropdown-item" href="#"><i class="fa fa-users"></i> Friends</a>
                                    <a class="dropdown-item" href="#"><i class="fa fa-user"></i> Just me</a>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
            <!-- Post /////-->

            <!--- \\\\\\\Post-->
            <div id="article-list" class="card gedf-card" th:each="post : ${allposts}">
                <div class="card-header">
                    <div class="d-flex justify-content-between align-items-center">
                        <div class="d-flex justify-content-between align-items-center">
                            <div class="mr-2">
                                <img width="45" th:if="${post.getUser().picture != null}"
                                     th:src="@{'/profile/' +${post.getUser().getId()} + '/userimage'}"
                                     class="img-responsive"/>
                                <img width="45" th:unless="${post.getUser().picture != null}"
                                     src="/img/default.png">
                            </div>
                            <div class="ml-2">
                                <div class="h5 m-0">
                                    <p sec:authorize="isAuthenticated()">
                                        <span th:text="${post.getUser().firstName}"/>
                                        <span th:text="${post.getUser().lastName}"/></p>
                                </div>
                                <div class="h7 text-muted"><span th:text="${post.getUser().getUserName()} "></span></div>
                            </div>
                        </div>
                        <div>
                            <div class="dropdown">
                                <button class="btn btn-link dropdown-toggle" type="button" id="gedf-drop1"
                                        data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                    <i class="fa fa-ellipsis-h"></i>
                                </button>
                                <div class="dropdown-menu dropdown-menu-right" aria-labelledby="gedf-drop1">
                                    <!--<div class="h6 dropdown-header"></div> -->
                                    <a class="dropdown-item askForDelete" th:href="@{'/admin/userfeed/'+${post.getPostId()}}" th:method="GET">
                                        Delete
                                    </a> <!-- tuk trqbva da mi e logikata za  delete -->

                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="card-body">
                    <div class="text-muted h7 mb-2"
                         th:with="days=${T(java.util.concurrent.TimeUnit).DAYS}, millis=${T(java.util.concurrent.TimeUnit).MILLISECONDS}"
                         th:text="${days.convert(#dates.createNow().getTime() - post.getCreatedDate().getTime(),millis)}+' Days ago'">
                        <!--                        <i class="fa fa-clock-o"></i><span th:text="${days.convert(#dates.createNow().getTime() - post.getCreatedDate().getTime(),millis)}+' min ago'"></span>-->
                    </div>


                    <div class="post">
                        <img width="200" height="200" th:if="${post.getImage() != null}"
                             th:src="@{'/post/' +${post.getPostId()} + '/image'}"
                             class="imgcomment" alt="" style="float: right;max-width:200px;max-height:200px" />  <p th:text="*{post.getPostText()}" class="card-text">
                        post text
                    </p>
                    </div>
                </div>


                <div class="card-footer">
                    <p th:id="${post.getPostId()}+'-count'" th:text="${post.getLikes().size()+' Likes'}"></p>

                    <a onclick="postDislike(this)" th:id="${post.getPostId()}" th:if="${post.getLikes().contains(user)}"
                       class="card-link">
                        <i class="fa fa-thumbs-down"></i></a>

                    <a onclick="postLike(this)" th:id="${post.getPostId()}"
                       th:unless="${post.getLikes().contains(user)}"
                       class="card-link"> <i class="fa fa-thumbs-up"></i></a>

                    <!--                    <a th:if="${post.getLikes().contains(user)}" th:id="${post.getPostId()}" onclick="postLike(this)"-->
                    <!--                       class="card-link postLikeFaFa" style="color: blue"><i class="fa fa-gittip" style="color: blue"></i><span> Like</span></a>-->

                    <span class="fa fa-comment show-comments" th:if="${post.getComments().size() == 1}"
                          th:text="${post.getComments().size()}+' Comment'" style="float:right;"> 16 comments</span>
                    <span class="fa fa-comment show-comments" style="float:right;"
                          th:unless="${post.getComments().size() == 1}"
                          th:text="${' '+post.getComments().size()}+' Comments'"> 16 comments</span>


                    <div class="comments">
                        <!--                            Comment Form-->
                        <form action="#" th:action="@{'/admin/userfeed/'+${post.getPostId()}+'/comments/new'}"
                              th:object="${comment}" method="post" enctype="multipart/form-data">
                        <textarea class="form-control" id="comment" rows="3"
                                  placeholder="What are you thinking?" th:field="*{commentText}"></textarea>
                            <div class="btn-group">
                                <button type="submit" class="btn btn-primary comment-button" style="float: right">
                                    comment
                                </button>
                            </div>
                        </form>


                        <div class="card flex-row" th:each="comment : ${post.getComments()}">
                            <img width="45" th:if="${user.picture != null}"
                                 th:src="@{'/profile/' +${comment.getUser().getId()} + '/userimage'}"
                                 class="img-responsive img-comment" align="left">
                            <img width="45" th:unless="${user.picture != null}"
                                 th:src="${'/img/default.png'}"
                                 class="img-responsive img-comment" align="left">
                            <span class="comment-text"
                                  th:text="*{{comment.getUser().userName+': ' + comment.getCommentText()}}"
                                  align="right">
                            <p>text</p>
                        </span>


                        </div>
                    </div>
                </div>

            </div>
        </div>

        <div class="col-md-3">

            <div class="card gedf-card">
                <div class="card-body">
                    <h5 class="card-title"> Some one wants to be your friend</h5>
                    <div th:each="person:${friendrequests}">
                        <div class="mr-2">
                            <a href="#" th:href="'/profile/' +${person.getId()}">
                                <img width="45" th:if="${person.getPicture() != null}"
                                     th:src="@{'/user/' +${person.getId()} + '/userimage'}"
                                     class="img-responsive"/></a>
                            <a href="#" th:href="'/user/' +${person.getId()}">
                                <img width="45" th:unless="${person.getPicture() != null}"
                                     src="/img/default.png"></a>
                        </div>
                        <span th:text="*{person.userName}"><p></p></span>
                        <a href="#" th:href="'/request/accept/'+${person.getId()}"> Accept</a>
                        <a href="#" th:href="'/request/reject/'+${person.getId()}"> Reject</a>
                    </div>
                </div>
            </div>

            <div class="card gedf-card">
                <div class="card-body">
                    <h5 class="card-title">Viral post</h5>

                    <h6 class="card-subtitle mb-2 text-muted"  th:text="${viral.getUser().getUserName()}"></h6>
                    <p class="card-text" th:text="${viral.getPostText()}"> </p>
                    <img width="90" th:if="${viral.getImage() != null}"
                         th:src="@{'/post/' +${viral.getPostId()} + '/image'}"
                         class="img-responsive"/>

                </div>
            </div>
        </div>
    </div>

</div>
<script>
    $('.show-comments').on("click", function () {
        $(this).siblings('.comments').toggle();
    });
</script>

<!--Like button onClick-->
<script>
    function myFunction(x) {
        x.classList.toggle("fa-thumbs-down");
    }
</script>

<script>
    function postLike(like) {
        console.log(like);
        var x = $(like).attr("id");
        $.ajax({
            url: `/api/posts/${x}/like`,
            type: 'PUT',
            success: function (outcome) {
                console.log('success');
                console.log($(`#${x}-count`));

                $(`#${x}-count`).text(outcome + " Likes");
            },
            error: function () {
                console.log('error');
            }
        });
    }

    function postDislike(like) {
        console.log(like);
        var x = $(like).attr("id");
        $.ajax({
            url: `/api/posts/${x}/unlike`,
            type: 'DELETE',
            success: function (outcome) {
                console.log('success');
                console.log($(`#${x}-count`));

                $(`#${x}-count`).text(outcome + " Likes");
            },
            error: function () {
                console.log('error dislike');
            }
        });
    }
</script>

<script th:src="@{/js/userfeed.js}" src="../static/js/userfeed.js"></script>

<script>
    $('a.askForDelete').click( function(e) {
        var txt;
        var r = confirm("Are you sure you want to  delete the post");
        if (r == true) {
            txt = "You pressed OK!";
            e.click();
        } else {
            txt = "You pressed Cancel!";
            e.preventDefault();
        }
        return r;
    } );
</script>
</body>
</html>
